Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(18)

Unified Diff: tool/analyze.sh

Issue 1167233002: split analyze and format steps out of test.sh (Closed) Base URL: git@github.com:dart-lang/dev_compiler.git@master
Patch Set: Created 5 years, 6 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « no previous file | tool/format.sh » ('j') | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: tool/analyze.sh
diff --git a/tool/analyze.sh b/tool/analyze.sh
new file mode 100755
index 0000000000000000000000000000000000000000..26c5a0d9e7dbefbe6baa93dd2be41e84db8c16d6
--- /dev/null
+++ b/tool/analyze.sh
@@ -0,0 +1,14 @@
+#!/bin/bash
+set -e
+
+# Switch to the root directory of dev_compiler
+cd $( dirname "${BASH_SOURCE[0]}" )/..
+
+# Run analyzer on bin/devc.dart, as it includes most of the code we care about
+# via transitive dependencies. This seems to be the only fast way to avoid
+# repeated analysis of the same code.
+# TODO(jmesserly): ideally we could do test/all_tests.dart, but
+# dart_runtime_test.dart creates invalid generic type instantiation AA.
+echo "Running dartanalyzer to check for errors/warnings/hints..."
+dartanalyzer --fatal-warnings --package-warnings bin/devc.dart | (! grep $PWD) \
+ || fail
« no previous file with comments | « no previous file | tool/format.sh » ('j') | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698